Skip to main content
GET
/
agent
/
{id}
/
documents
List linked documents
curl --request GET \
  --url https://api.vocobase.com/api/v2/agent/{id}/documents \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "documents": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "type": "pdf",
        "status": "uploading",
        "file_size": 123,
        "sync_status": "pending",
        "synced_at": "2023-11-07T05:31:56Z",
        "linked_at": "2023-11-07T05:31:56Z"
      }
    ],
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Agent ID.

Response

List of linked documents.

success
boolean
data
object